[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPGList.Assign

Copy elements from Source list

## Declaration

Source position: fgl.pp line 155

`public procedure TFPGList.Assign(`
`Source: TFPGList`
`);`

## Arguments

`Source` |  | Source list to copy items from.

## Description

Assign clears the list and copies all items in Source to the list. The source list must be of the same type as the destination list.

## See also

TFPSList.Clear |  | Clear the list
TFPGList.Add |  | Add new item of type T to the list.